Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Interface CustomerHome

All Superinterfaces
  javax.ejb.EJBHome, Remote

Deprecated

    @Deprecated
    public interface CustomerHome

extends javax.ejb.EJBHome

The home interface for the Customer entity bean. Use this class to create, remove, and find Customer entity beans.

Method Summary
`Customer` | `create(CustomerPk customerPk)` Deprecated Create a new Customer entity bean using the primary key
`Customer` | `findByPrimaryKey(CustomerPk customerPk)` Deprecated Find an Customer entity bean using the primary key
`Customer` | `findByUserIdentifier(String identifier)` Deprecated Access existing customer -- if not found, then try to create a new one.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    Customer create(CustomerPk customerPk)
                    throws javax.ejb.CreateException,
                           RemoteException

  Deprecated
  Create a new Customer entity bean using the primary key

  Throws
    `javax.ejb.CreateException`
    `RemoteException`

### findByPrimaryKey

    Customer findByPrimaryKey(CustomerPk customerPk)
                              throws RemoteException,
                                     javax.ejb.FinderException

  Deprecated
  Find an Customer entity bean using the primary key

  Returns
    Remote interface to Customer
  Throws
    `javax.ejb.FinderException` - if cannot locate named customer
    `RemoteException`

### findByUserIdentifier

    Customer findByUserIdentifier(String identifier)
                                  throws RemoteException,
                                         javax.ejb.FinderException

  Deprecated
  Access existing customer -- if not found, then try to create a new one.

  Parameters
    `identifier` - Customer name
  Returns
    Remote interface to Customer
  Throws
    `javax.ejb.CreateException` - if cannot create new customer of that name
    `RemoteException`
    `javax.ejb.FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.